html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #f4f4f4;
    font-family: terminal, monaco, monospace;
}

.appdIV {
    display: flex;
    flex-direction: row;
    width: 750px;
    height: 750px;
    background-color: #ffffff;
    border: 1px solid #ccc;
}

nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 150px;
    background-color: #ffe6af;
    padding: 1rem;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
}

label {
    margin-bottom: 10px;
    font-size: 24px;
    color: #333;
    font-weight: bold;
    font-family: terminal, monaco, monospace;
}

button {
    margin: 10px 0;
    padding: 10px;
    cursor: pointer;
    background-color: #fdc07f;
    color: #ffffff;
    border: none;
    border-radius: 3px;
    width: 100%;
    transition: background-color 0.3s;
    font-size: 18px;
    font-family: terminal, monaco, monospace;
    font-weight: bold;
}

.grid-container {
    position: relative;
    width: 480px;
    height: 480px;
    margin: auto;
    display: flex; 
    justify-content: center;
    align-items: center;
}

#board {
    position: relative;
    z-index: 0;
    background: #ffffff;
    border: 1px solid #ccc;
    image-rendering: pixelated;
    width: 480px;
    height: 480px;
}

.grid-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.2) 1px, transparent 1px),
                      linear-gradient(to bottom, rgba(0, 0, 0, 0.2) 1px, transparent 1px);
    background-size: 20px 20px; 
    pointer-events: none;
    z-index: 1;
}

button.active {
    background-color: #f9973e;
}

#colorpicker {
    margin-bottom: 32px;
}